![MikroE](http://www.mikroe.com/img/designs/beta/logo_small.png)

---

# Analog Input

Code developed for [Fusion for TIVA v8](https://www.mikroe.com/fusion-for-tiva) and it can be used on other MIKROE development boards as well. Code was developed with purpose of easier understanding function for analog input.

---

- **Author**      : Nikola Markovic
- **Version**     : 2.0.0.0
- **Date**        : June 2023.

---

## Software Support

We provide code for demonstrating the usage of functions contained in libraries *MikroSDK.Driver.ADC* and *MikroSDK.Driver.GPIO.Port*

### Functions Description

All functions used in main project are located in libraries *MikroSDK.Driver.ADC* and *MikroSDK.Driver.GPIO.Port*.

Functions:

- `err_t analog_in_open( analog_in_t *obj, analog_in_config_t *config )` - Function opens the ADC driver object on selected pin and allocates memory and pin for specified object.
- `err_t analog_in_set_resolution( analog_in_t *obj, , analog_in_resolution_t resolution)` - Function sets the desired ADC resolution.
- `err_t analog_in_set_vref_input(analog_in_t *obj, analog_in_vref_t vref)` - Function sets voltage reference source to either internal or external.
- `err_t analog_in_set_vref_value(analog_in_t *obj, float vref_value)` - Function sets voltage reference value.
- `err_t analog_in_read( analog_in_t *obj, uint16_t *readDatabuf )` - Function reads the value from the specified analog pin.
- `void port_init( port_t *port, port_name_t name, port_size_t mask, pin_direction_t direction)` - Function initializes port driver context structure and masked GPIO pins as digital output or digital input.
- `void port_write( port_t *port, port_size_t value )` - Function writes `value` to beforehand initialized port.
  - NOTE: ADC values can also be visible in Application output through debug or on UART terminal if setup with that selection is chosen.

## Hardware support

![board](./board.png)

This code was developed on *Fusion for TIVA v8* board.
For this hardware to work according to program, it is necessary for the analog input voltage to be in range from 0 to `VREF`V on the *MIKROBUS_1_AN* pin and
to turn on *PORT LEDS* for output port (in this case it's *PORT A* - switch is located on the right side of the board, in the *BOARD SETUP* part).

---
